Subject: IPsec and IKE in an dynamic NAT environment

From: "Nicolas Saurbier" <[email-masked]>
Date: Wed, 29 Jan 2003 17:43:50 +0100

Hi All,

this is the first time, I post into this list, so "Hi everybody!!!"

Now I need a little help:

Situation:
I have a VPN-Gateway with an official IP-address attached directly
to the internet. I have a Router that does ISDN dial-up to my ISP.
The Router doesn´t get a fixed IP-address. The Router is doing
Masquerading (192.168.0.0/24 => x.x.x.x/32)

How it should work:
The users in my 192.168.0.0/24 network shall use Software IPsec-clients,
I chose "SSH Sentinel 1.4". My problem is, that the IKE is working fine,
but the VPN-Gateway denies all incoming esp-packets and sends back an
ICMP-packet "Proto 50 unreachable"

SSH Sentinel has got an option called "NAT traversel"....did any1 of you
ever work with SSH Sentinel??? Any1 of you doing the same as me?

NIC